@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+Thai:wght@100;200;300;400;500;600;700;900&display=swap');
body::after {
    content: "";
    position: fixed; /* สร้างเลเยอร์คงที่ทับหน้าจอ */
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    /* ใส่ฟิลเตอร์ที่เลเยอร์นี้แทน */

    /* หรือถ้า Browser เก่าไม่รองรับ backdrop-filter ให้ใช้ pointer-events: none */
    pointer-events: none; 
    z-index: 9999; /* ให้อยู่บนสุดทับทุกอย่าง */
}

/* ส่วน Body เดิมให้เอา filter ออก */
body {
    font-family: 'Noto Sans Thai', sans-serif;
    text-align: center;
    margin: 0;
}

/*
.scroller {
    height: 100vh;
    overflow-y: scroll;
    scroll-snap-type: y mandatory;
}

.scroller section {
    scroll-snap-align: start;
}
*/

.box_header {
    height: auto;
    margin: auto;
    display: flex;
    justify-content: center;
}

.footer {
    background: linear-gradient(0deg, rgb(254, 152, 170) 0%, rgba(214, 214, 245, 0) 100%);
    bottom: 0;
    left: 0;
    right: 0;
    float: left;
    width: 100%;
    padding-top: 100px;
    margin-top: -100px;
    padding-bottom: 10px;
}


.box_header .col1 {
    width: 50%;
    float: left;
    display: flex;
    justify-content: center;
}

.box_header .col2 {
    width: 50%;
    float: left;
    margin-left: -5%;
    padding-top: 7%;
    text-align: left;
}

.f_l_100 {
    line-height:100px;
}
.f_l_80 {
    line-height: 80px;
}

.f_l_50 {
    line-height: 50px;
}
.f_l_h_3{
    line-height: 3; 
}
.f_l_h_2{
    line-height: 2; 
}

.f_l_30 {
    line-height: 30px;
}

.f_s_50 {
    font-size: 50px;
}

.f_s_50_2 {
    font-size: 50px;
}

.f_s_30_2 {
    font-size: 30px;
}

.f_s_60 {
    font-size: 60px;
}

.f_s_30 {
    font-size: 30px;
}

.f_s_80 {
    font-size: 80px;
}

.f_s_100 {
    font-size: 100px;
}

.f_s_200 {
    font-size: 200px;
}

.f_s_150 {
    font-size: 150px;
}

.f_s_40 {
    font-size: 40px;
}

.f_s_icon {
    font-size: 16px;
}

.f_s_30 {
    font-size: 30px;
}

.f_s_130 {
    font-size: 130px;
}

.f_s_25 {
    font-size: 25px;
}

.f_s_20 {
    font-size: 20px;
}

.f_s_70 {
    font-size: 70px;
}

.f_s_14 {
    font-size: 14px;
}

.f_c_k {
    color: #D6B172;
}

.f_c_p {
    color: rgb(254, 152, 170);
}


.f_c_r {
    color: rgb(255, 105, 105);
}
.f_c_r2 {
    color: rgb(198, 56, 82);
}


.f_c_w {
    color: #ffffff;
}

.f_c_gr {
    color: #8d8d8d;
}

.f_c_g {
    color: #06C755;
}

.f_c_b {
    color: #3b5998;
}

.f_w_100 {
    font-weight: 100;
}

.f_w_200 {
    font-weight: 200;
}

.f_w_300 {
    font-weight: 300;
}

.f_w_400 {
    font-weight: 400;
}

.f_w_900 {
    font-weight: 900;
}

.f_w_600 {
    font-weight: 600;
}

.t_l {
    text-align: left;
}

.t_r {
    text-align: right;
}

.m_t_100 {
    margin-top: 100px;
}

.p_t_100 {
    padding-top: 100px;
}
.p_t_logo {
    padding-top: 20px;
}



.p_t_50 {
    padding-top: 15px;
}
.p_t_20 {
    padding-top: 20px;
}

.inline {
    display: inline;
}

.vertical-center {
    margin: 0;
    position: absolute;
    top: 50%;
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
}

.w_30 {
    width: 30%;
    margin: auto;
}

.w_20 {
    width: 20%;
    margin: auto;
}

.box_w_80 {
    width: 80%;
    margin: auto;
}

.box_w_70 {
    width: 70%;
    margin: auto;
}

.box_w_80_2 {
    width: 80%;
}

.box_w_60 {
    width: 60%;
    margin: auto;
}

.box_w_40 {
    width: 40%;
    margin: auto;
}

.box_w_90 {
    width: 90%;
    margin: auto;
}

.box_w_95 {
    width: 95%;
    margin: auto;
}

.w_70 {
    width: 70%;
    margin: auto;
}

.w_75 {
    width: 75%;
    margin: auto;
}

.box_3 {
    width: 30%;
    float: left;
}
.box_img_3 {
    width: 33.33%;
    float: left;
}

.box_img_2 {
    width: 50%;
    float: left;
}

.img_logo {
    border-radius: 50%;
}

.box_4 {
    width: 22%;
    float: left;
}

.header {
    padding-top: 8%;
    padding-bottom: 5%;
    width: 100%;
    float: left;
    background: linear-gradient(90deg, rgb(254, 152, 170) 0%, rgba(250, 223, 227, 1) 100%);
    margin-bottom: 50px;
}

.header2 {

    width: 100%;
    background-image: url("../img/system/bg1.jpg")

}

.box_rt_6 {
    width: 14.5%;
    float: left;
    margin: 1%;
    border-radius: 25px;
    padding-top: 20px;
    padding-bottom: 10px;
}

.box_rt_4 {
    width: 21%;
    float: left;
    margin: 2%;
    border-radius: 25px;
    padding-top: 0px;
    padding-bottom: 10px;
}

.box_rt_2 {
    width: 46%;
    float: left;
    margin: 2%;
    border-radius: 25px;
    padding-top: 35px;
    padding-bottom: 35px;
}

.box_rt_3 {
    width: 29.33%;
    float: left;
    margin: 2%;
    border-radius: 25px;
    padding-top: 35px;
    padding-bottom: 35px;
}

.box_rt_5 {
    width: 18%;
    float: left;
    margin: 1%;
    border-radius: 25px;
    padding-top: 35px;
    padding-bottom: 35px;
}
.box_rt_5_2 {
    width: 17%;
    float: left;
    margin-right: 2.9%;
    border-radius: 25px;
    padding-bottom: 0px;

}

.box_rt_5_2 img{
    border-top-left-radius: 25px;
    border-top-right-radius: 25px;
}

.box_rt_4_2 {
    width: 21.5%;
    float: left;
    margin-right: 2%;
    border-radius: 25px;
    padding-bottom: 10px;
    margin-bottom: 20px;

}


.box_rt_4_3 {
    width: 21%;
    float: left;
    margin: 2%;
    border-radius: 25px;
    padding-top: 10px;
    padding-bottom: 10px;
    margin-bottom: 20px;

}


.box_rt_4_2 img{
    border-top-left-radius: 25px;
    border-top-right-radius: 25px;
}

.box_rt_a {
    width: 90%;
    float: left;
    margin: 2% 5%;
    border-radius: 25px;
    padding-top: 15px;
}



.box_news {
    width: 21%;
    float: left;
    margin: 2%;
    border-radius: 25px;
    padding-bottom: 0px;
    position: relative;
}

.box_news_5 {
    width: 18%;
    float: left;
    margin: 1%;
    border-radius: 15px;
    padding-bottom: 0px;
    position: relative;
}

.img_news{
    border-top-left-radius: 25px;
    border-top-right-radius: 25px;

}
.img_news5{
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;

}

.image-container {
    width: 100%;
    height: 200px; /* 50% ของความสูงหน้าจอ */
    overflow: hidden; /* ตัดส่วนเกินของรูปภาพ */
    position: relative;
  }

  .image-container2 {
    width: 100%;
    height: 100px; /* 50% ของความสูงหน้าจอ */
    overflow: hidden; /* ตัดส่วนเกินของรูปภาพ */
    position: relative;
  }

  .image-container2 img {
    width: 100%;
    height: auto;
    position: absolute;
    top: 0;
    left: 0;
  }



.image-container img {
    width: 100%;
    height: auto;
    position: absolute;
    top: 0;
    left: 0;
  }

.box_3_2 {
    width: 22%;
    float: left;
}

.box_2 {
    width: 50%;
    float: left;
}


.box_report_1 {
    background-color: #D6B172;
    border-radius: 25px;
    margin: 3%;
    padding-top: 20px;
    padding-bottom: 20px;
}

.box_report_2 {
    background-color: #D6B172;
    border-radius: 25px;
    margin: 2%;
    padding-top: 20px;
    padding-bottom: 20px;
}

.box_time {
    float: left;
    width: 10%;
    margin: 100px 2%;
    padding-top: 20px;
    padding-bottom: 20px;
    color: #D6B172;
    background-color: #FFF;
    border-radius: 15px;
    text-align: center;
    padding: 15 0;
    border: 2px solid rgb(214, 177, 114);
}

.box_time_2 {
    float: left;
    width: 30%;
    margin: 3%;
    padding-top: 20px;
    padding-bottom: 20px;
    color: #000;
    background-color: #FFF;
    border-radius: 15px;
    text-align: center;
    padding: 15 0;
}

.school_info table, th, td {
    text-align: left;

}

.school_info input[type=text] {
    width: 100%;
    height: 40px;
    font-size: 18px;
    background: transparent;
    margin-top: 0px;
    margin-bottom: 15px;
    border: 0px solid #D6B172;
    border-radius: 10px;
    background-color: #ffdde68c;
    text-align: left;
    font-family: 'Noto Sans Thai', sans-serif;
    padding-left: 20px;

}
 .school_info input[type="file"]::file-selector-button { 
    background: rgb(254, 152, 170);
    color: white;
    border: 1px solid rgb(254, 152, 170);
    border-radius: 10px;
    padding: 0.5rem 3rem;
}



.school_info select {
    width: 102%;
    height: 40px;
    font-size: 18px;
    background: transparent;
    margin-top: 0px;
    margin-bottom: 15px;
    border: 0px solid #D6B172;
    border-radius: 10px;
    background-color: #ffdde68c;
    text-align: left;
    font-family: 'Noto Sans Thai', sans-serif;
    padding-left: 20px;


}
.school_info input[type=text]:focus{
    outline: none;
    border: 1px solid rgb(254, 152, 170);
    background-color: #ffffff;

}

.school_info input[type=submit] {
    margin-top: 25px;
    height: 40px;
    font-size: 16px;
    background-color: rgb(254, 152, 170);
    border: 0px;
    margin-bottom: 20px;
    border-radius: 25px;
    color: #FFF;
    border: 1px solid #dadada;
    font-family: 'Noto Sans Thai', sans-serif;
    padding: 0px 30px;
}
.school_info input[type=submit]:hover {
    outline: none;
    color: rgb(254, 152, 170);
    border: 1px solid rgb(254, 152, 170);
    background: #FFF;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 3px 5px;
}
.school_info .label {
    text-align: left;
    font-size: 16px;
    padding-left: 5px;
}

.school_info textarea {
    width: 100%;
    height: 500px;
    font-size: 18px;
    background: transparent;
    margin-top: 0px;
    margin-bottom: 15px;
    border: 0px solid #D6B172;
    border-radius: 10px;
    background-color: #ffdde68c;
    text-align: left;
    font-family: 'Noto Sans Thai', sans-serif;
    padding-left: 20px;
    padding-top: 20px;
}
.school_info textarea:focus {
    outline: none;
    border: 1px solid rgb(254, 152, 170);
    background-color: #ffffff;
}

.bt_qh {
    color: #000;
    padding-right: 0px;
    position: absolute;
    bottom: 0;
    left: 10;
    margin-bottom: 10px;
    margin-top: 5px;

}

.center {
    display: flex;
    justify-content: center;
}

.center3 {
    display: flex;
    justify-content: center;
}
.center2 {
margin: auto;
}

.report_table tr {
    border-bottom: 1pt solid black;
}

.bg_shadow_g {
    box-shadow: rgba(0, 0, 0, 0.24) 0px 2px 5px;
}

.bg_shadow_k {
    box-shadow: rgba(214, 177, 114, 1) 0px 2px 5px;
}

.box_ranking {
    padding-top: 5px;
    padding-bottom: 5px;
    width: 95%;
    margin-bottom: 20px;
    border-radius: 20px;
    display: flex;
    align-items: center;
}

.box_ranking .box_1 {
    width: 15%;
    float: left;
    display: flex;
    justify-content: center;
    align-items: center;
}

.box_ranking .box_2 {
    width: 70%;
    float: left;
}

.box_ranking .box_3 {
    width: 15%;
    float: left;
}

.report_quiz {
    padding-top: 5px;
    padding-bottom: 5px;
    width: 100%;
    margin-bottom: 10px;
    border-radius: 15px;
    display: flex;
    align-items: center;
    background-color: rgba(159, 143, 116, 0.1);
    margin-top: 15px;
}

.report_quiz2 .w_40 {
    width: 40%;
    float: left;
}

.report_quiz2 .w_60 {
    width: 60%;
    float: left;
}

.report_quiz .box_1 {
    width: 70%;
    float: left;
    padding-left: 10%;
    text-align: left;
}

.report_quiz .box_2 {
    width: 20%;
    float: left;
}

.box_cookie {
    width: 100%;
    height: 150px;
    bottom: 0;
    left: 0;
    position: fixed;
}

.box_cookie .deteil {
    padding-top: 10px;
    padding-bottom: 10px;
    margin: auto;
    margin-bottom: 5px;
    width: 50%;
    padding-right: 20px;
    background-color: #ffffff;
    z-index: 99;
    box-shadow: rgba(0, 0, 0, 0.15) 0px 2px 8px;
    border-radius: 15px;
    font-weight: 300;
}

.box_cookie .box_img_menu {
    margin-left: 15px;
    margin-top: 5px;
    width: 55px;
    height: 65px;
    float: left;
}

.box_cookie .box1 {
    width: 75%;
    float: left;
}

.box_cookie .bt {
    width: 55px;
    height: 65px;
    float: left;
    background-color: #3b5998;
}


.login .box {
    
    margin-top: 10%;
    padding: 50px;
    padding-top: 40px;
    padding-bottom: 20px;
    width: 550px;
    background-color: #FFF;
    box-shadow: rgba(0, 0, 0, 0.04) 0px 3px 5px;
    border-radius: 15px;
    margin: auto;

}

.login .w_75 {
    width: 75%;
}

.login input[type=text] {
    width: 100%;
    height: 35px;
    font-size: 16px;
    padding-left: 15px;
    background: transparent;
    color: rgb(254, 152, 170);
    border: 0px;
    margin-bottom: 10px;
    border-radius: 5px;
    border: 1px solid #dadada;
    background-color: #f4f4f4;
    box-shadow: rgba(0, 0, 0, 0.04) 0px 3px 5px;
    font-family: 'Noto Sans Thai', sans-serif;
}

.login input[type=text]:focus {
    outline: none;
    box-shadow: rgba(255, 181, 181, 0.475) 0px 3px 3px;

}

.login input[type=password] {
    width: 100%;
    height: 35px;
    font-size: 16px;
    padding-left: 15px;
    background: transparent;
    color: rgb(254, 152, 170);
    border: 0px;
    margin-bottom: 10px;
    border-radius: 5px;
    border: 1px solid #dadada;
    background-color: #f4f4f4;
    box-shadow: rgba(0, 0, 0, 0.04) 0px 3px 5px;
    font-family: 'Noto Sans Thai', sans-serif;
}
.login input[type=password]:focus {
    outline: none;
    box-shadow: rgba(255, 181, 181, 0.475) 0px 3px 3px;
    

}

 ::-webkit-input-placeholder {
    color: #bbbbbb;
    font-weight: 300;
}


.login input[type=submit] {
    margin-top: 25px;
    width: 40%;
    height: 40px;
    font-size: 16px;
    background-color: rgb(254, 152, 170);
    border: 0px;
    margin-bottom: 20px;
    border-radius: 25px;
    color: #FFF;
    border: 1px solid #dadada;
    font-family: 'Noto Sans Thai', sans-serif;
}

.login input[type=submit]:hover {
    outline: none;
    color: rgb(254, 152, 170);
    border: 1px solid rgb(254, 152, 170);
    background: #FFF;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 3px 5px;
}

.login2 .box {
    padding: 20px;
    padding-top: 40px;
    padding-bottom: 40px;
    width: 600px;
    background-color: #FFF;
    box-shadow: rgba(0, 0, 0, 0.04) 0px 3px 5px;
    border-radius: 15px;
    margin: auto;
    margin-top: 5%;
}

.login2 input[type=text] {
    width: 70%;
    height: 35px;
    font-size: 16px;
    background: transparent;
    margin-bottom: 10px;
    border: 0px;
    border-radius: 25px;
    border: 2px solid #D6B172;
    background-color: #fff;
    padding-left: 5%;
    font-family: 'Noto Sans Thai', sans-serif;
}

.login2 select {
    width: 76%;
    height: 43px;
    font-size: 16px;
    background: transparent;
    margin-bottom: 10px;
    border: 0px;
    border-radius: 25px;
    border: 2px solid #D6B172;
    background-color: #fff;
    padding-left: 4%;
    font-family: 'Noto Sans Thai', sans-serif;
}

.login2 input[type=text]:focus {
    outline: none;
    border: 2px solid #D6B172;
}

.login2 input[type=password] {
    width: 100%;
    height: 35px;
    font-size: 16px;
    padding-left: 15px;
    background: transparent;
    color: #56a4f7;
    border: 0px;
    margin-bottom: 10px;
    border-radius: 5px;
    border: 1px solid #dadada;
    background-color: #f4f4f4;
    box-shadow: rgba(0, 0, 0, 0.04) 0px 3px 5px;
}

 ::-webkit-input-placeholder {
    color: #bbbbbb;
    font-weight: 300;
}

.login2 input[type=password]:focus {
    outline: none;
    border: 1px solid #56a4f7;
}

.login2 input[type=submit] {
    margin-top: 25px;
    width: 40%;
    height: 40px;
    font-size: 16px;
    background-color: #D6B172;
    border: 0px;
    margin-bottom: 20px;
    border-radius: 25px;
    color: #FFF;
    border: 1px solid #dadada;
    box-shadow: rgba(0, 0, 0, 0.04) 0px 3px 5px;
    font-family: 'Noto Sans Thai', sans-serif;
}

.login2 input[type=submit]:hover {
    outline: none;
    color: #D6B172;
    border: 1px solid #D6B172;
    background: #FFF;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 3px 5px;
}

.bt_6 {
    padding: 8px;
    padding-left: 15px;
    padding-right: 15px;
    font-size: 18px;
    background-color: #D6B172;
    border-radius: 50px;
    font-family: 'Noto Sans Thai', sans-serif;
    border: 2px solid #D6B172;
    color: #fff;
    text-align: center;
}

.bt_6 :hover {
    background-color: #fff;
    color: #D6B172;
}

.bt_1 {
    width: 100px;
    text-align: center;
    background-color: rgb(255, 255, 255);
    border: 2px solid rgb(214, 177, 114);
    border-radius: 25px;
    color: #D6B172;
    font-size: 16px;
    padding: 5px;
    margin: auto;
    font-family: 'Noto Sans Thai', sans-serif;
}

.bt_1:hover {
    background-color: rgb(214, 177, 114);
    border: 2px solid rgb(214, 177, 114);
    border-radius: 25px;
    color: #ffffff;
}

.bt_2 {
    width: 100px;
    text-align: center;
    background-color: rgb(254, 152, 170);
    border: 2px solid rgb(254, 152, 170);
    border-radius: 25px;
    color: #ffffff;
    padding: 5px;
    padding-left: 40px;
    padding-right: 40px;
    margin: auto;
}

.bt_2:hover {
    background-color: #ffffff;
    border: 2px solid rgb(254, 152, 170);
    border-radius: 25px;
    color: rgb(254, 152, 170);
}

table {
    border-collapse: collapse;
    text-align: center;
}

a {
    text-decoration: none;
    color: black;
}

.bg_l_o{
    background: linear-gradient(90deg, rgb(249, 193, 89) 0%, rgb(248, 171, 29) 100%);
}
.bg_l_b{
    background: linear-gradient(90deg, rgb(139, 148, 249) 0%, rgb(89, 102, 249) 100%);
}
.bg_l_r{
    background: linear-gradient(90deg, rgb(249, 139, 139) 0%, rgb(244, 38, 73) 100%);
}
.bg_l_g{
    background: linear-gradient(90deg, rgb(139, 249, 150) 0%, rgb(23, 179, 39) 100%);
}
.search {
    width: 650px;
}

.search .col2 {
    padding-top: 85px;
    width: 65%;
    float: right;
}

.search .col1 {
    text-align: left;
    width: 35%;
    float: right;
}

.box_search input[type=text] {
    width: 550px;
    background: transparent;
    font-size: 18px;
    color: rgb(254, 152, 170);
    border: 0px;
    font-family: 'Noto Sans Thai', sans-serif;
    margin-bottom: 10px;
}

.box_search input[type=text]:focus {
    outline: none;
    border: 0px solid rgb(254, 152, 170);
}

.img_search {
    padding-top: 16px;
}

.td_bg_k {
    background-color: #faf4eb;
}

.td_bg_k2 {
    background-color: rgba(255, 250, 244, 0.611);
}
.school_table tr:nth-child(even) {
    background-color: #f2f2f2
}
.school_table {
    text-align: center;
}

.school_table th {
    text-align: center;
    background-color: rgba(254, 152, 170, 1);
    color: #fff;
}
.school_table .td_center {
    text-align: center;
}

.row_2:after {
    content: "";
    display: table;
    clear: both;
}

.box_search_2 {
    width: 650px;
    background: transparent;
    border: 2px solid rgb(254, 152, 170);
    border-radius: 30px;
    color: rgb(254, 152, 170);
    margin: auto;
    padding-left: 20px;
    padding-right: 15px;
}

.box_search_3 {
    width: 35%;
    background: transparent;
    border: 2px solid rgb(254, 152, 170);
    border-radius: 30px;
    color: rgb(254, 152, 170);
    margin: auto;
    padding-left: 20px;
    padding-right: 15px;
    padding-top: 10px;
    padding-bottom: 10px;
    margin-top: 20px;
}

.box_search_3 .input_check {
    outline: none;
    border: 0px solid rgba(214, 177, 114, 1.0);
    font-family: 'Noto Sans Thai', sans-serif;
    width: 80%;
    font-size: 18px;
    text-align: center;
}

.score_report table {
    width: 35%;
    margin: auto;
}

.score_report table tr {
    background-color: #fff;
}

.score_report .box_update2 {
    padding: 10px;
    border-radius: 15px;
    border: 1px solid rgba(214, 177, 114, 1.0);
    text-align: center;
    width: 40px;
    font-family: 'Noto Sans Thai', sans-serif;
}


.box_menu {
    width: 100%;
    height: 70px;
    top: 0;
    left: 0;
    position: fixed;
    z-index: 100;
    
    /* แก้ไขเรื่องขนาดล้นจอ */
    box-sizing: border-box; 
    
    /* การจัดวางข้อความ */
    text-align: center;
    padding-top: 5px;
    /* แนะนำให้ลด padding-right ลงหากต้องการให้กลางจริงๆ 
       หรือใช้การจัดกลุ่มเมนูด้วย Flexbox แทน */
    padding-right: 0; 
    
    background: linear-gradient(90deg, rgb(254, 152, 170) 0%, rgba(250, 223, 227, 1) 100%);
    box-shadow: rgba(0, 0, 0, 0.1) 0px 3px 5px;
}
}

.column_menu {
    width: 50%;
    float: left;
}

.column_4 {
    width: 100%;
    float: left;
    background-color: rgba(214, 177, 114, 0.1);
    border-radius: 15px;
    padding-bottom: 5px;
    margin-bottom: 15px;
}

.box_img_menu {
    margin-left: 30px;
    margin-top: 5px;
    width: 120px;
    height: 55px;
    float: left;
    text-align: center;
    border-right: 2px solid rgb(255, 255, 255);
    margin-right: 5px;
}

.box_system_menu {
    height: 100%;
    float: left;
    padding-top: 17px;
    text-align: center;
    font-size: 25px;
}

.box_name_menu {
    margin: 14px 0;
    margin-right: 30px;
    float: right;
    text-align: center;
    padding: 5px 15px;
    border-radius: 25px;
    color: #fff;
    font-size: 18px;
    background-color: rgba(254, 152, 170, 1);
    border: 2px solid rgba(254, 152, 170, 1);
}




.box_name_menu:hover {
    color: rgb(198, 56, 82);
    background-color: #ffffff;
    border: 2px solid rgba(198, 56, 82, 1);
}

.box_menu_bt {
    margin-right: 10px;
    margin-top: 22px;
    float: right;
    text-align: center;
}

.box_menu_bt_act {
    color: rgb(198, 56, 82);
    background-color: rgba(255, 255, 255, 0.5);
    border-radius: 35px;
    padding: 8px 15px;
    margin-top: 12px;
}

.box_menu_bt:hover {
    color: rgb(198, 56, 82);
    border-bottom: 2px solid rgb(198, 56, 82);
}

.box_menu .icon {
    display: none;
}

.hid1 {
    visibility: visible;
}

.hid2 {
    display: none;
}

.hid3 {
    display: block;
}

.menu_mobile {
    display: none;
}

.mobile {
    display: none;
}

.box_update {
    padding: 10px;
    border-radius: 15px;
    border: 1px solid rgba(198, 56, 82, 1.0);
    text-align: center;
    width: 25px;
    font-family: 'Noto Sans Thai', sans-serif;
}

.box_update2 {
    padding: 10px;
    border-radius: 15px;
    border: 1px solid rgba(214, 177, 114, 1.0);
    text-align: center;
    width: 300px;
    font-family: 'Noto Sans Thai', sans-serif;
}

.box_update2 :focus {
    border: 1px solid rgba(214, 177, 114, 1.0);
}

.box_update2 :active {
    border: 1px solid rgba(214, 177, 114, 1.0);
}

.b_c_r {
    border: 2px solid rgb(255, 105, 105);
}

.b_c_r {
    border: 2px solid #00e6b8;
}

.month-group {
    cursor: pointer;
    max-width: 80%;
    height: 520px;
    margin: 45px;
    display: inline-block;
    margin-bottom: -440px;
    font-size: 14px;
    font-weight: 300;
}

.bar {
    background-color: rgba(254, 152, 170, 1.0);
    width: 75px;
    border-radius: 5px;
    margin-bottom: 10px;
    padding-top: 10px;
    color: #FFF;
    margin-left: 10px;
}

.img_w {
    width: 50px;
}

.month-group:hover .bar,
.selected .bar {
    background: rgba(254, 152, 170, 1.0);
}

.month-group:hover p,
.selected p {
    color: #000;
}

.h-10 {
    height: 10%;
}

.h-25 {
    height: 25%;
}

.h-40 {
    height: 40%;
}

.h-50 {
    height: 50%;
}

.h-75 {
    height: 75%;
}

.h-85 {
    height: 85%;
}

.h-90 {
    height: 90%;
}

.h-100 {
    height: 100%;
}

.width_30 {
    width: 30%;
    margin: auto;
}
.container {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 22px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}


/* Hide the browser's default radio button */

.container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
}


/* Create a custom radio button */

.checkmark {
    position: absolute;
    left: 5px;
    height: 25px;
    width: 25px;
    top: 23%;
    background-color: #5E5E5E;
    border-radius: 50%;
    margin-left: 10px;
}


/* On mouse-over, add a grey background color */

.container:hover input~.checkmark {
    background-color: #D6B172;
}


/* When the radio button is checked, add a blue background */

.container input:checked~.checkmark {
    background-color: #D6B172;
}

.input:checked~.t2 {
    background-color: #80aaff;
}


/* Create the indicator (the dot/circle - hidden when not checked) */

.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}


/* Show the indicator (dot/circle) when checked */

.container input:checked~.checkmark:after {
    display: block;
}


/* Style the indicator (dot/circle) */

.container .checkmark:after {
    top: 9px;
    left: 9px;
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background: white;
}

.test {
    margin-left: 40px;
}

.box_sub_2 {
    margin: auto;
    margin-bottom: 30px;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 3px 5px;
    border-radius: 15px;
    padding: 35px 60px;
    border: 1px solid #dadada;
}

.box_sub_2 .box_topic {
    border-radius: 50px;
    padding: 5px 20px;
    border: 1px solid #D6B172;
    float: left;
    margin-left: 25px;
    margin-top: 10px;
    margin-bottom: 10px;
}

.p_l_50 {
    padding-left: 50px;
}

.circular-chart {
    display: block;
    margin: 0px;
    margin-left: 23%;
    margin-top: 0px;
    max-width: 60%;
    margin-bottom: -25px;
}

.circle-bg {
    fill: none;
    stroke: #eee;
    stroke-width: 2.8;
}

.circle {
    fill: none;
    stroke-width: 2.8;
    stroke-linecap: round;
    animation: progress 2s ease-out forwards;
}

@keyframes progress {
    0% {
        stroke-dasharray: 0 100;
    }
}

.circular-chart.k .circle {
    stroke: #D6B172;
}

.circular-chart.r .circle {
    stroke: rgb(255, 105, 105);
}

.circular-chart.g .circle {
    stroke: #4CC790;
}

.circular-chart.b .circle {
    stroke: #3c9ee5;
}

.percentage {
    fill: #000;
    font-size: 0.27em;
    text-anchor: middle;
}

.text_chart {
    fill: #000;
    font-size: 0.15em;
    text-anchor: middle;
    font-weight: 400;
}

@media screen and (max-width:1400px) {
    .box_w_70 {
        width: 75%;
        margin: auto;
    }
    .box_w_90 {
        width: 95%;
        margin: auto;
    }
    .f_s_60 {
        font-size: 50px;
    }
    .f_s_20 {
        font-size: 18px;
    }
    .box_w_80 {
        width: 85%;
        margin: auto;
    }
    .f_s_50 {
        font-size: 40px;
    }
    .w_75 {
        width: 85%;
        margin: auto;
    }
    .f_s_25 {
        font-size: 20px;
    }
    .box_report_1 {
        background-color: #D6B172;
        margin: 1%;
    }
    .box_w_80 {
        width: 90%;
        margin: auto;
    }
    .box_3_2 {
        width: 30%;
        float: left;
    }
    .f_s_50 {
        font-size: 35px;
    }
    .month-group {
        margin: 35px;
    }
}

@media screen and (max-width:1050px) {
    .box_w_70 {
        width: 80%;
        margin: auto;
    }
    .box_cookie .deteil {
        padding-top: 10px;
        padding-bottom: 10px;
        margin: auto;
        margin-bottom: 5px;
        width: 80%;
        padding-right: 10px;
    }
    .box_w_90 {
        width: 100%;
        margin: auto;
    }
    .f_s_60 {
        font-size: 40px;
    }
    .f_s_30 {
        font-size: 25px;
    }
    .f_s_25 {
        font-size: 18px;
    }
    .f_s_30 {
        font-size: 20px;
    }
    .box_4 {
        width: 24%;
        float: left;
    }
    .box_ranking {
        width: 97%;
    }
    .box_ranking .box_1 {
        width: 10%;
    }
    .box_ranking .box_2 {
        width: 73%;
    }
    .month-group {
        cursor: pointer;
        height: 350px;
        margin: 20px;
        display: inline-block;
    }
    .bar {
        width: 65px;
    }
}

@media screen and (max-width: 600px) {
    .box_w_70 {
        width: 85%;
        margin: auto;
    }
    .box_menu_m {
        width: 80%;
        background-color: #D6B172;
        border-radius: 25px;
    }
    .box_menu_bt {
        padding: 7px 0px;
        width: 80%;
        margin-right: 0px;
        margin-top: 0px;
        margin-bottom: 5px;
        float: right;
        font-size: 14px;
        text-align: center;
        background-color: #D6B172;
        border-radius: 50px;
        display: block;
    }
}

@media screen and (max-width:480px) {

    .box_header {
        padding-top: 100px;
    }
    .p_t_logo {
        padding-top: 50px;
    }
    
    .box_rt_4 {
        width: 46%;
        float: left;
        margin: 2%;
        padding-bottom: 0px;
    }

    .box_rt_4_3 {
        width: 46%;
        float: left;
        margin: 2%;

    
    }

    .box_rt_3 {
        width: 96%;
        margin: 2%;
        padding-top: 10px;
        padding-bottom: 10px;
    }

    .image-container {
        height: 120px; /* 50% ของความสูงหน้าจอ */

      }
    .month-group {
        cursor: pointer;
        height: 250px;
        margin: 3px;
        display: inline-block;
        font-size: 8px;
        margin-top: 30px;
        margin-bottom: -200px;
    }
    .bar {
        width: 35px;
        margin-left: 5px;
    }
    .box_cookie .box_img_menu {
        margin-left: 5px;
        margin-top: 5px;
        width: 40px;
        height: 70px;
        float: left;
    }
    .box_cookie {
        width: 100%;
        height: 180px;
        bottom: 0;
        left: 0;
        position: fixed;
        font-size: 12px;
    }
    .box_cookie .deteil {
        padding-top: 10px;
        padding-bottom: 10px;
        margin: auto;
        margin-bottom: 5px;
        width: 90%;
        padding-right: 5px;
    }
    .box_w_90 {
        width: 95%;
        margin: auto;
    }
    body {
        font-size: 11px;
    }
    .hid1 {
        visibility: hidden;
    }
    .hid2 {
        display: block;
    }
    .hid3 {
        display: none;
    }
    .scroller {
        height: 100%;
    }
    .box_header {
        height: auto;
        margin: auto;
        display: block;
        justify-content: center;
    }
    .box_header .col1 {
        width: 100%;
        float: right;
        display: inline;
        justify-content: center;
    }
    .box_header .col2 {
        width: 100%;
        float: right;
        margin-left: 2%;
        padding-top: 0%;
        text-align: left;
        margin-top: -15px;
    }
    .box_report_1 {
        width: 44.5%;
        margin: 10px 2%;
        padding-top: 10px;
        padding-bottom: 10px;
    }
    .f_l_100 {
        line-height:50px;
    }
    .f_l_h_3{
        line-height: 2; 
    }
    .f_l_80 {
        line-height: 50px;
    }
    .f_s_14 {
        font-size: 10px;
    }
    .f_s_20 {
        font-size: 16px;
    }
    .f_s_25 {
        font-size: 20px;
    }
    .f_s_50 {
        font-size: 25px;
        font-weight: 300;
    }
    .f_s_130 {
        font-size: 100px;
    }
    .f_s_60 {
        font-size: 40px;
    }
    .f_s_30 {
        font-size: 21px;
    }
    .f_s_30_2 {
        font-size: 16px;
    }
    .f_s_80 {
        font-size: 37px;
    }
    .f_s_70 {
        font-size: 30px;
    }
    .f_s_40 {
        font-size: 30px;
    }
    .f_s_50_2 {
        font-size: 18px;
    }
    .f_s_100 {
        font-size: 50px;
    }
    .p_t_100 {
        padding-top: 30px;
    }
    .p_l_50 {
        padding-left: 50px;
    }
    .box_w_80 {
        width: 95%;
    }
    .box_w_80_2 {
        width: 95%;
    }
    .box_w_70 {
        width: 95%;
        margin: auto;
    }
    .w_70 {
        width: 95%;
        margin: auto;
    }
    .w_75 {
        width: 90%;
        margin: auto;
    }
    .box_3 {
        width: 92%;
        float: left;
    }
    .box_4 {
        width: 44%;
        float: left;
    }
    .box_3_2 {
        width: 95%;
        float: left;
    }
    .box_2 {
        width: 98%;
        float: left;
    }
    .box_news {
        width: 46%;
        margin: 2%;
        padding-bottom: 0px;
        border-radius: 10px;
    }
    .box_ranking {
        width: 95%;
        margin-left: 3%;
        margin-bottom: 10px;
        border-radius: 10px;
        display: flex;
        align-items: center;
    }
    .bg_shadow_g {
        box-shadow: rgba(0, 0, 0, 0.24) 1px 2px 5px;
    }
    .bg_shadow_k {
        box-shadow: rgba(214, 177, 114, 1) 1px 2px 5px;
    }
    .box_search_2 {
        width: 80%;
        margin: auto;
        border-radius: 30px;
        color: #D6B172;
        padding-top: 5px;
        padding-left: 5px;
        padding-right: 5px;
    }
    .box_search input[type=text] {
        width: 75%;
        font-size: 16px;
    }
    .bt_1 {
        width: 100px;
        font-size: 14px;
        padding: 1px;
    }
    .bt_1:hover {
        background-color: rgb(214, 177, 114);
        border: 2px solid rgb(214, 177, 114);
        border-radius: 25px;
        color: #ffffff;
    }
    .box_img_menu {
        margin-left: 10px;
        margin-top: 12px;
        width: 50px;
        border-right: 0px solid rgb(255, 255, 255);
    }
    .box_menu {
        height: 50px;
    }
    .box_system_menu {
        padding-top: 13px;
        padding-left: 5px;
        font-size: 18px;
    }
    .box_menu_bt {
        display: none;
    }
    .box_name_menu {
        margin: 8px 0;
        margin-right: 10px;
        float: right;
        text-align: center;
        padding: 2px 15px;
        font-size: 15px;
    }
    .menu_mobile {
        width: 100%;
        height: 65px;
        bottom: 0;
        left: 0;
        position: fixed;
        display: flex;
        justify-content: center;
        background-color: #FFF;
        z-index: 99;
        box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 2px 6px 2px;
    }
    .menu_mobile .menu_bt {
        padding-top: 10px;
        float: left;
        width: 58px;
        height: 80px;
    }
    .box_time {
        float: left;
        width: 20%;
        margin: 10px 1.85%;
        border-radius: 15px;
        text-align: center;
        padding: 5 0;
    }
    .box_time_2 {
        float: left;
        width: 90%;
        margin: 0 3%;
        padding-bottom: 0px;
    }
    .center {
        display: block;
    }
    .img_search {
        margin-top: 20px;
    }
    .search .col2 {
        padding-top: 0;
        width: 100%;
    }
    .search .col1 {
        padding-top: 0;
        width: 70%;
        margin: auto;
        margin-right: 15%;
        margin-top: 50px;
    }
    .box_w_40 {
        width: 80%;
        margin: auto;
    }
    .login .box {
        padding: 20px;
        padding-top: 30px;
        padding-bottom: 30px;
        width: 75%;
        margin-top: 3%;
    }
    .login2 .box {
        padding: 20px;
        padding-top: 40px;
        padding-bottom: 40px;
        width: 75%;
        margin-top: 5%;
    }
    .login2 input[type=text] {
        width: 90%;
        height: 30px;
        font-size: 12px;
        padding-left: 5%;
        margin-top: 10px;
    }
    .login2 select {
        width: 98%;
        height: 35px;
        font-size: 12px;
        margin-top: 10px;
    }
    .login2 input[type=submit] {
        margin-top: 25px;
        width: 40%;
        height: 35px;
        font-size: 12px;
    }
    .login input[type=text] {
        width: 100%;
        height: 35px;
        font-size: 12px;
        margin-top: 10px;
        margin-bottom: 10px;
    }

    .login input[type=password] {
        width: 100%;
        height: 35px;
        font-size: 12px;
        margin-top: 10px;
        margin-bottom: 10px;
    }


    .login input[type=submit] {
        margin-top: 25px;
        width: 40%;
        height: 35px;
        font-size: 12px;
        margin-bottom: 0px;
    }
    .box_sub_2 {
        margin-bottom: 30px;
        padding: 20px 15px;
    }
    .box_sub_2 .box_topic {
        padding: 5px 15px;
        margin-left: 0px;
        margin-top: 5px;
        margin-bottom: 0px;
    }
    .p_l_50 {
        padding-left: 20px;
    }
    .box_search_3 {
        width: 90%;
        padding-left: 0px;
        padding-right: 0px;
        padding-top: 5px;
        padding-bottom: 5px;
        border: 1px solid rgba(214, 177, 114, 1.0);
        margin-top: 15px;
    }
    .box_search_3 .input_check {
        outline: none;
        border: 0px solid rgba(214, 177, 114, 1.0);
        font-family: 'Noto Sans Thai', sans-serif;
        width: 80%;
        font-size: 12px;
        text-align: center;
    }
    .report_quiz2 .w_40 {
        width: 100%;
    }
    .report_quiz2 .w_60 {
        width: 100%;
    }
    .report_quiz {
        padding-top: 5px;
        padding-bottom: 5px;
        width: 100%;
        margin-bottom: 10px;
        margin-top: 0px;
    }
    .w_30 {
        width: 50%;
        margin: auto;
    }
    .score_report table {
        width: 90%;
    }
    .img_news{
        border-top-left-radius: 10px;
        border-top-right-radius: 10px;
    
    }
    .box_rt_6 {
    width: 48%;
    float: left;
    margin: 1%;
    border-radius: 25px;
    padding-top: 20px;
    padding-bottom: 10px;
}
.school_info table, th, td {
        font-size: 8px;

}
}